> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledgersyncappv2.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates an existing account



## OpenAPI

````yaml /openapi-v2.json put /api/v2/account/update
openapi: 3.1.0
info:
  title: LedgerSync V2 API
  version: '2.0'
servers:
  - url: https://ledgersyncappv2.com
    description: Production
  - url: https://staging.ledgersyncappv2.com
    description: Sandbox
security: []
tags:
  - name: account-api
    description: Account REST APIs
  - name: password-api
    description: Password REST APIs
  - name: transaction-api
    description: Transaction REST APIs
  - name: phone-verification-api
    description: Phone Verification REST APIs
  - name: employee-api
    description: Employee REST APIs
  - name: client-api
    description: Client REST APIs
  - name: check-api
    description: Check REST APIs
  - name: accounting-ai-api
    description: AI rule suggestion endpoints for external accounting integrations
  - name: institution-api
    description: Institution REST APIs
  - name: statement-api
    description: Statement REST APIs
  - name: authentication-api
    description: Auth REST APIs
paths:
  /api/v2/account/update:
    put:
      tags:
        - account-api
      summary: Updates an existing account
      operationId: updateAccount
      parameters:
        - name: Auth-Token
          in: header
          description: Authentication token provided during the authentication process
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAccountRequest'
        required: true
      responses:
        '200':
          description: >-
            Account successfully updated


            Renames the bank connection **bankAccountId** to **name**. Set the
            optional **source** field to **MX** to rename an MX connection; omit
            it (or use FINICITY) for a Finicity connection. Connection ids are
            per provider, so the same id can name a different connection under
            each source.
          content:
            '*/*':
              schema:
                type: string
        '401':
          description: Unauthorized. Bad credentials or the authentication system is down
          content:
            '*/*':
              schema:
                type: string
        '403':
          description: The bank account does not exist or this user may not manage it
          content:
            '*/*':
              schema:
                type: string
components:
  schemas:
    UpdateAccountRequest:
      type: object
      properties:
        bankAccountId:
          type: integer
          format: int64
        name:
          type: string
        source:
          type: string
          description: 'Bank-data provider: FINICITY (default) or MX. Omit for Finicity.'
          enum:
            - DEFAULT
            - FINICITY
            - FDE
            - MX

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.